package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.TeacherSubjectPrice;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author: cy
 * @Date: 2022/4/15
 */
@ApiModel(value = "TeacherFreeTimeVo")
public class TeacherFreeTimeVo implements Serializable {
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "老师编号")
    private Long teacherId;

    @ApiModelProperty(value = "课间休息分钟数")
    private Integer freeMinutes;

    @ApiModelProperty(value = "单课时分钟数")
    private Integer courseMinutes;

    @ApiModelProperty(value = "是否跳过节假日1是0否")
    private Boolean skipHolidayFlag;

    @ApiModelProperty(value = "声部金额")
    private List<TeacherSubjectPrice> subjectPrice;

    @ApiModelProperty(value = "周一")
    private String monday;

    @ApiModelProperty(value = "周二")
    private String tuesday;

    @ApiModelProperty(value = "周三")
    private String wednesday;

    @ApiModelProperty(value = "周四")
    private String thursday;

    @ApiModelProperty(value = "周五")
    private String friday;

    @ApiModelProperty(value = "周六")
    private String saturday;

    @ApiModelProperty(value = "周日")
    private String sunday;

    @ApiModelProperty(value = "是否默认配置")
    private Boolean defaultFlag = true;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "是否开启陪练课(1是 0否)")
    private Boolean enableFlag = true;

    public Boolean getEnableFlag() {
        return enableFlag;
    }

    public void setEnableFlag(Boolean enableFlag) {
        this.enableFlag = enableFlag;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getFreeMinutes() {
        return freeMinutes;
    }

    public void setFreeMinutes(Integer freeMinutes) {
        this.freeMinutes = freeMinutes;
    }

    public Integer getCourseMinutes() {
        return courseMinutes;
    }

    public void setCourseMinutes(Integer courseMinutes) {
        this.courseMinutes = courseMinutes;
    }

    public Boolean getSkipHolidayFlag() {
        return skipHolidayFlag;
    }

    public void setSkipHolidayFlag(Boolean skipHolidayFlag) {
        this.skipHolidayFlag = skipHolidayFlag;
    }

    public List<TeacherSubjectPrice> getSubjectPrice() {
        return subjectPrice;
    }

    public void setSubjectPrice(List<TeacherSubjectPrice> subjectPrice) {
        this.subjectPrice = subjectPrice;
    }

    public String getMonday() {
        return monday;
    }

    public void setMonday(String monday) {
        this.monday = monday;
    }

    public String getTuesday() {
        return tuesday;
    }

    public void setTuesday(String tuesday) {
        this.tuesday = tuesday;
    }

    public String getWednesday() {
        return wednesday;
    }

    public void setWednesday(String wednesday) {
        this.wednesday = wednesday;
    }

    public String getThursday() {
        return thursday;
    }

    public void setThursday(String thursday) {
        this.thursday = thursday;
    }

    public String getFriday() {
        return friday;
    }

    public void setFriday(String friday) {
        this.friday = friday;
    }

    public String getSaturday() {
        return saturday;
    }

    public void setSaturday(String saturday) {
        this.saturday = saturday;
    }

    public String getSunday() {
        return sunday;
    }

    public void setSunday(String sunday) {
        this.sunday = sunday;
    }

    public Boolean getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Boolean defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

